package com.qmth.paper.library.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 系统设置表
 * </p>
 */
@TableName("sys_setting")
public class SysSetting extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    /**
     * 是否开启ocr识别
     */
    @TableField("open_ocr")
    private Boolean openOcr;

    /**
     * 是否开启全局匹配
     */
    @TableField("open_global_match")
    private Boolean openGlobalMatch;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Boolean getOpenOcr() {
        return openOcr;
    }

    public void setOpenOcr(Boolean openOcr) {
        this.openOcr = openOcr;
    }

    public Boolean getOpenGlobalMatch() {
        return openGlobalMatch;
    }

    public void setOpenGlobalMatch(Boolean openGlobalMatch) {
        this.openGlobalMatch = openGlobalMatch;
    }
}
