package com.qmth.paper.library.common.service.impl;

import com.qmth.paper.library.common.contant.SystemConstant;
import com.qmth.paper.library.common.entity.TBSession;
import com.qmth.paper.library.common.service.CommonCacheService;
import com.qmth.paper.library.common.service.TBSessionService;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.CachePut;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class CommonCacheServiceImpl implements CommonCacheService {

    @Resource
    TBSessionService tbSessionService;

    @Override
    @CachePut(value = SystemConstant.CACHE_NAME, key = "'tbSession' + #sessionId")
    public TBSession saveTbSession(String sessionId, TBSession tbSession) {
        return tbSession;
    }

    @Override
    @Cacheable(value = SystemConstant.CACHE_NAME, key = "'tbSession' + #sessionId")
    public TBSession getTbSession(String sessionId) {
        return tbSessionService.getById(sessionId);
    }

    @Override
    @CacheEvict(value = SystemConstant.CACHE_NAME, key = "'tbSession' + #sessionId")
    public String removeTbSession(String sessionId) {
        return null;
    }
}
